This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 42830 - /etc/php.ini should be %config(noreplace)
/etc/php.ini should be %config(noreplace)
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: php (Show other bugs)
1.0
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Phil Copeland
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-30 06:43 EDT by Enrico Scholz
Modified: 2007-03-26 23:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-07 18:58:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2001-05-30 06:43:40 EDT
Description of Problem:

/etc/php.ini will be overridden at every update and so e.g. a global
`safe_mode = On' will be disabled.

I suggest to mark this file as '%config(noreplace) /etc/php.ini'


Additional Information:
	
$ rpm -q php
php-4.0.5-1
Comment 1 Bill Nottingham 2001-12-07 22:41:07 EST
This is fixed in current packages.
Comment 2 Dan Elder 2004-08-05 14:07:25 EDT
This is still a problem with RHEL 3 (x86) with the latest php rpms
built from the srpm.  Instead of saving the new php.ini at
php.ini.rpmnew it overwrites it and moves it to php.ini.rpmsave.
Comment 3 Joe Orton 2004-08-10 11:44:47 EDT
Dan, could you open a new bug against PHP in RHEL3 if you are seeing
issues with php.ini over upgrades?

php.ini is marked %config(noreplace) in the RHEL package.

%config(noreplace) %{_sysconfdir}/php.ini

Note You need to log in before you can comment on or make changes to this bug.